<?php

namespace Intellex\Generator\Core;



class ItemGenerator extends WeightedItemGenerator {

    /**
     * BooleanGenerator constructor.
     *
     * @param mixed $array Associative array of possible values.
     */
    public function __construct($array) {
        $values = [];
        foreach ($array as $value) {
            $values[$value] = 1;
        }
        parent::__construct($values);
    }

}